Get review settings

GET
/api/v1/review-settings

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key created in Capy under Settings → API.

Query parameters

repo*string

Response body

ReviewSettings

application/json
  1. response
repo*string
billingOrgId*string|null
heldByCaller*boolean
autoReview*string
One of"off""once""always"
postingThreshold*string
One of"low""medium""high"
postInvestigate*boolean
postNotes*boolean
postStatusCheck*boolean
projectId*string|null
memorySelection*string
One of"index""paths""select"
curl -X GET 'https://api.capy.ai/api/v1/review-settings?repo=string'
{  "repo": "string",  "billingOrgId": "string",  "heldByCaller": true,  "autoReview": "off",  "postingThreshold": "low",  "postInvestigate": true,  "postNotes": true,  "postStatusCheck": true,  "projectId": "string",  "memorySelection": "index"}
Open in Capy